SRC/zrscl.f(3)

NAME
SRC/zrscl.f

SYNOPSIS

  Functions/Subroutines
subroutine zrscl (n, a, x, incx)
ZDRSCL multiplies a vector by the reciprocal of a real scalar.

Function/Subroutine Documentation

  subroutine zrscl (integer n, complex*16 a, complex*16, dimension( * ) x, integer incx)

ZDRSCL multiplies a vector by the reciprocal of a real scalar.

Purpose:

    !>
    !> ZRSCL multiplies an n-element complex vector x by the complex scalar
    !> 1/a.  This is done without overflow or underflow as long as
    !> the final result x/a does not overflow or underflow.
    !>

Parameters
    N

    !>          N is INTEGER
    !>          The number of components of the vector x.
    !>

    A

    !>          A is COMPLEX*16
    !>          The scalar a which is used to divide each component of x.
    !>          A must not be 0, or the subroutine will divide by zero.
    !>

    X

    !>          X is COMPLEX*16 array, dimension
    !>                         (1+(N-1)*abs(INCX))
    !>          The n-element vector x.
    !>

    INCX

    !>          INCX is INTEGER
    !>          The increment between successive values of the vector SX.
    !>          > 0:  SX(1) = X(1) and SX(1+(i-1)*INCX) = x(i),     1< i<= n
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 83 of file zrscl.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.